pitarget=1.005;
pistar=1.005;
nustar=0.;
phitildea=0.001;
phitildes=0.00;
beta=0.98;
nbeta=beta;
muz=1.005;
xid=.75;
lambdad=1.2;
kappad=0;
varkappad=0;
pibreve=1;
epsilon=1;
taud=1;
nu=0;
varphi=1;
nux=0;
omegac=0.25;
etac=1.5;
zetac=1;
zetah=1;
AL=6;
b=0.7;
etag=.3;
etaa=0;
sigmaL=1;
etaf=1.5;
rhoR=.8;
rpi=1.65;
ry=.15;
rdeltapi=.2;
rdeltay=.1;
rq=0;

bigphi=1;%this is the steady state of big phi.
pibar=pitarget;
pic=pibar;
R=pibar*muz/beta;
Rstar=R*pistar/pibar;
Rx=nux*R+1-nux;
s=R/Rstar;
Rf=nu*R+1-nu;
Rnustar=nustar*Rstar+1-nustar;
px=Rx/varphi;

pitilded=pibar^kappad*pitarget^(1-kappad-varkappad)*pibreve^varkappad;

mc=1/lambdad*(1-beta*xid*(pitilded/pibar)^(lambdad/(1-lambdad)))...
    /(1-beta*xid*(pitilded/pibar)^(1/(1-lambdad)))...
    *((1-xid*(pitilded/pibar)^(1/(1-lambdad)))/(1-xid))^(1-lambdad);

phalo=((1-xid*(pitilded/pibar)^(1/(1-lambdad)))/(1-xid))^(1-lambdad)...
    /((1-xid*(pitilded/pibar)^(lambdad/(1-lambdad)))/(1-xid))^((1-lambdad)/lambdad);

wbar=epsilon*mc/(taud*Rf);
pmc=varphi*Rnustar;
pc=(1-omegac+omegac*(pmc^(1-etac)))^(1/(1-etac));

q=varphi/pc;

num=((1-omegac)*Rx+omegac*(pmc^(1-etac)))*(pc^(etac-1)) ...
    *zetac*(muz-beta*b)*mc/(zetah*AL*(muz-b)*taud*Rf);

den=(Rx*(1-etag)-(1-1/beta)*etaa)*(phalo^(lambdad/(lambdad-1)));

H=(num/den)^(1/(1+sigmaL));

psizplus=zetah*AL*(H^sigmaL)/wbar;

c=(H^(-sigmaL))*((muz-beta*b)/(muz-b))*zetac*wbar/(pc*zetah*AL);

ybar=(phalo^(lambdad/(lambdad-1)))*epsilon*H;

abar=etaa*ybar;

Kd=lambdad*psizplus*ybar*mc/(1-beta*xid*(pitilded/pibar)^(lambdad/(1-lambdad)));
Fd=psizplus*ybar/(1-beta*xid*(pitilded/pibar)^(1/(1-lambdad)));

ystar=(ybar-etag*ybar-(1-omegac)*(pc^etac)*c)*(px^etaf);

err(1)=psizplus*ybar+((pitilded/pibar)^(1/(1-lambdad)))*beta*xid*Fd-Fd;
err(2)=lambdad*psizplus*ybar*mc+beta*xid*((pitilded/pibar)^(lambdad/(1-lambdad)))*Kd-Kd;
err(3)=((1-xid*((pitilded/pibar)^(1/(1-lambdad))))/(1-xid))^(1-lambdad) - Kd/Fd;
err(4)=((1-xid)*((1-xid*(pitilded/pibar)^(1/(1-lambdad)))/(1-xid))^lambdad ...
    +xid*(pitilded*phalo/pibar)^(lambdad/(1-lambdad)))^((1-lambdad)/lambdad) ...
    -phalo;
err(5)=pitilded-pibar^kappad*pitarget^(1-kappad-varkappad)*pibreve^varkappad;

lpmcU_SS=log(pmc);
lpcU_SS=log(pc);
lqU_SS=log(q);
lRstarU_SS=log(Rstar);
lpxU_SS=log(px);
lRU_SS=log(R);
lcU_SS=log(c);
lpsizplusU_SS=log(psizplus);
lpiU_SS=log(pibar);
lsU_SS=log(s);
aU_SS=abar;
lHU_SS=log(H);
lwbar_SS=log(wbar);
lphaloU_SS=log(phalo);
lFdU_SS=log(Fd);
lKdU_SS=log(Kd);
lpitildedpiU_SS=(-lpiU_SS+kappad*lpiU_SS+(1-kappad-varkappad)
  *lpitargetU_SS+varkappad*log(pibreve)); 
lyU_SS=log(ybar);
lpicU_SS=log(pic);
lzetacU_SS=0;
lmuzU_SS=log(muz);
lzetahU_SS=0;
lRstarU_SS=log(Rstar);
lystarU_SS=log(ystar);
lpistarU_SS=log(pistar);
lepsilonU_SS=0;
lgU_SS= (log(etag)+lyU_SS);
ltaudU_SS=log(taud);
lpitargetU_SS=log(pitarget);
phitildeU_SS = 0;

 