function [residual, g1, g2] = basesimple_out_static( y, x )
% 
% Status : Computes static model for Dynare
% 
% Warning : this file is generated automatically by Dynare
%   from model file (.mod)

global M_ 
if M_.param_nbr > 0
  params = M_.params;
end
  residual = zeros( 48, 1);

	% 
	% Model equations
	% 

T10 = exp(y(24));
T19 = exp(y(5));
T32 = exp(y(6));
T38 = exp(y(22));
T40 = T32-params(19)*exp(y(6))/T38;
T49 = exp(y(22));
T52 = exp(y(6))*T49-T32*params(19);
T74 = exp(y(8));
T76 = params(2)*exp(y(7))/(T49*T74);
T78 = exp(y(9));
T79 = T10*T78;
T98 = exp((-params(23))*(y(10)-params(45))-params(24)*(T10-T19-(exp(params(38))-exp(params(40))))+y(31));
T99 = T79*T98;
T134 = exp(y(1))*params(14)*exp(y(6)+params(15)*(y(2)-y(1)));
T143 = exp(y(2)+y(3)+y(4)*(1-params(25))+y(26));
T158 = exp(y(24)-params(23)*(y(10)-params(45))-params(24)*(exp(y(24))-exp(y(5))-(exp(params(38))-exp(params(40))))+y(31));
T163 = exp(y(9)-y(8)-y(22));
T189 = exp(y(1))^(1-params(15));
T191 = 1-params(14)+params(14)*T189;
T196 = 1-params(14)+params(14)*exp(y(1))^(1-params(15));
T198 = 1/(1-params(15));
T199 = (T191/T196)^T198;
T230 = exp(y(12)+y(7)+y(19)+y(28)+log(1+T19*params(11)-params(11))-y(25));
T243 = exp(params(5)*y(13)/(1-params(5)));
T247 = exp(y(15)/(1-params(5)));
T250 = (1-params(4)*T247)/(1-params(4));
T257 = params(5)/(1-params(5));
T259 = params(4)*exp(y(15)+y(13))^T257;
T264 = T250^(1-params(5));
T282 = exp((-y(8))+params(6)*y(8)+(1-params(6)-params(7))*y(29)+params(7)*log(params(8)));
T292 = params(23)*T10*T78*exp(y(7))*params(2)*(-y(36))/T49/T74;
T298 = exp(y(31)+(-params(23))*(y(10)-params(45))-params(24)*(exp(params(40))+T10-T19-exp(params(38))));
T299 = T292*T298;
T309 = exp(y(31)+y(24)-params(23)*(y(10)-params(45))-params(24)*(exp(params(40))+T10-T19-exp(params(38))));
T313 = exp(y(9)-y(8)-y(22));
T324 = exp(y(6)+y(22))-params(19)*exp(y(6));
T337 = T40^2;
T342 = exp(y(21))*params(2)*params(19)^2;
T343 = T52^2;
T345 = T32*T342/T343;
T349 = 1/params(32);
T354 = exp(y(21))*params(19)*params(2)*T349*y(34);
T357 = (T32*T38-params(19)*exp(y(6)))^2;
T360 = T38*T32*T354/T357;
T364 = exp(y(21))*params(32)*y(34);
T367 = (exp(y(6))-T32*params(19)/T49)^2;
T370 = T32*params(19)*T364/T367;
T389 = exp(y(14)+y(15)/(1-params(5)));
T391 = exp(y(14))*y(42)-params(4)*params(2)*T349*y(42)*T389;
T406 = (-params(18))*exp(y(23)+y(11)*(1+params(22)))+params(18)*exp(y(23)+params(22)*y(11)-y(7))*params(22)*y(37);
T419 = exp(y(16)+params(5)*y(15)/(1-params(5)));
T422 = exp(y(16)-y(14))*y(45)+exp(y(16))*y(43)-params(4)*params(2)*T349*y(43)*T419;
T432 = exp(y(6)+params(15)*(y(2)-y(1)))*exp(y(1))*params(14)*params(15);
T477 = params(4)*params(2)*y(42)*(-1)/params(32)/(1-params(5));
T478 = T389*T477;
T480 = params(5)*params(4)*params(2)*T349*y(43)/(1-params(5));
T485 = params(4)*params(5)*(1-params(4))*T250^params(5)/(1-params(5));
T490 = T247*T485/(1-params(4)*T247)-params(5)*T259/(1-params(5));
T509 = params(2)*T349*y(35)*exp(y(7)+y(5)-y(8)-y(22));
T517 = exp(y(24))*exp(y(9))*exp(y(7))*params(2)*T349*y(36)/T38/exp(y(8));
T524 = exp(y(31)+(-params(23))*(y(10)-params(45))-params(24)*(exp(params(40))+exp(y(24))-exp(y(5))-exp(params(38))));
T525 = T517*T524;
T529 = exp(y(31)+y(24)-params(23)*(y(10)-params(45))-params(24)*(exp(params(40))+exp(y(24))-exp(y(5))-exp(params(38))));
T531 = T163*y(39)*T529;
T532 = y(10)*T531;
T549 = exp(params(7)*log(params(8))+(-y(8))+y(8)*params(6)+(1-params(6)-params(7))*y(29));
T567 = 1-params(14)+params(14)*exp(y(1))^(1-params(15));
T568 = T567/T191;
T571 = params(14)*T74*params(32)*y(41)*T568^T198;
T578 = 1-params(14)+params(14)*exp(y(1)*(1-params(15)));
T579 = T578^T198;
T594 = exp(y(2))*exp(y(7))*(-y(34))+exp(y(7))*y(35)-T509-exp(y(7))*y(36);
T643 = T19*params(24)*T10*T78*exp(y(7))*params(2)*y(36)/T49/T74;
T644 = T298*T643;
T647 = T19*params(24)*params(32)*y(39);
T654 = T19*params(11)*params(5)*y(43)/(1+T19*params(11)-params(11));
T769 = T134+exp(y(1))*params(14)*exp(y(6)+params(15)*(y(2)-y(1)))*(-params(15));
T773 = exp(y(1))*(1-params(15))*exp(y(1))^(1-params(15)-1);
T777 = T196*params(14)*T773/(T196*T196);
T780 = T198*(T191/T196)^(T198-1);
T781 = T777*T780;
T785 = exp(y(6)+params(15)*(y(2)-y(1)))*params(14)*exp(y(1))*y(39)+params(14)*exp(y(1))*y(39)*exp(y(6)+params(15)*(y(2)-y(1)))*(-params(15));
T787 = T432+exp(y(1))*params(14)*params(15)*exp(y(6)+params(15)*(y(2)-y(1)))*(-params(15));
T799 = T191*(params(14)*T199*exp(y(8))*y(41)*T773+T189*params(14)*exp(y(8))*y(41)*T781)-T189*params(14)*T199*exp(y(8))*y(41)*params(14)*T773;
T800 = T191*T191;
T805 = (-(T567*params(14)*T773))/T800;
T807 = T198*T568^(T198-1);
T810 = params(14)*T74*params(32)*y(41)*T805*T807;
T813 = T571*T773+T189*T810;
T820 = params(14)*(1-params(15))*exp(y(1)*(1-params(15)));
T823 = T820*T198*T578^(T198-1);
T831 = T578*(params(14)*y(48)*T579*(1-params(15))*exp(y(1)*(1-params(15)))+exp(y(1)*(1-params(15)))*params(14)*y(48)*T823)-exp(y(1)*(1-params(15)))*params(14)*y(48)*T579*T820;
T836 = (-(exp(y(7))*exp(y(2))));
T838 = exp(y(1))*params(14)*params(15)*exp(y(6)+params(15)*(y(2)-y(1)));
T846 = exp(y(1))*params(14)*params(15)*params(15)*exp(y(6)+params(15)*(y(2)-y(1)));
T859 = exp(y(3))*exp(y(3));
T864 = exp(y(3))*exp(y(3));
T868 = exp(y(3))*exp(y(3))/T859;
T875 = T99+T79*T98*(-(T10*params(24)));
T877 = T298*(-(T10*params(24)));
T888 = T299+T292*T877+params(32)*y(39)*(y(10)*T313*params(23)*T309*(1-T10*params(24))-T313*T309*(1-T10*params(24)));
T896 = (-(params(2)*exp(y(5)+y(7)-y(8)-y(22))));
T901 = T79*T98*(-(params(24)*(-T19)));
T904 = T230*T19*params(11)/(1+T19*params(11)-params(11));
T907 = T298*(-(params(24)*(-T19)));
T916 = T292*T907+params(32)*y(39)*(y(10)*T313*params(23)*T309*(-(params(24)*(-T19)))-T313*T309*(-(params(24)*(-T19))));
T918 = (-(params(5)*y(43)*T904));
T922 = (1+params(13)*T19-params(13))*(1+params(13)*T19-params(13));
T929 = T309*T647+T647*T309*(-(params(24)*(-T19)));
T935 = (1+T19*params(11)-params(11))*T19*params(11)*params(5)*y(43)-T19*params(11)*T19*params(11)*params(5)*y(43);
T936 = (1+T19*params(11)-params(11))*(1+T19*params(11)-params(11));
T937 = T935/T936;
T955 = T324*T324;
T960 = T32*(-exp(y(21)))*T337/(T337*T337);
T981 = exp(y(21))*exp(y(6)+y(22))*T324-exp(y(6)+y(22))*exp(y(21))*exp(y(6)+y(22));
T982 = T981/T955;
T983 = T32*params(19)*exp(y(21))*params(32)*(exp(y(6)+y(22))-T32*params(19));
T986 = (exp(y(6)+y(22))-T32*params(19))*(exp(y(6)+y(22))-T32*params(19));
T995 = T32*(-exp(y(21)))/T337+T32*(-((-exp(y(21)))*T32*T40*2))/(T337*T337);
T1004 = T995-(T345+T32*(-(T342*(-(T32*params(19)))*T52*2))/(T343*T343));
T1010 = (-(T354*T32*T38*2*(T32*T38-params(19)*exp(y(6)))));
T1012 = T32*T1010/(T357*T357);
T1017 = T49*T49;
T1019 = (-(T49*T32*params(19)/T1017));
T1020 = 2*(exp(y(6))-T32*params(19)/T49);
T1027 = T32*params(19)*(-(T364*T1019*T1020))/(T367*T367);
T1028 = T370+T1027;
T1038 = (-(exp(y(21))*exp(y(6)+y(22))/T324));
T1040 = T38*T38;
T1042 = (-(params(19)*exp(y(6))*T38/T1040));
T1048 = (-(exp(y(21))*exp(y(6)+y(22))*(-(params(19)*exp(y(6))))));
T1054 = T32*(-((-exp(y(21)))*T40*2*T1042))/(T337*T337);
T1057 = 2*(T32*T38-params(19)*exp(y(6)))*(-(params(19)*exp(y(6))));
T1059 = (-(T354*T1057));
T1061 = T32*T1059/(T357*T357);
T1069 = (-((-(params(19)*exp(y(6))*T38))/T1040));
T1081 = T32*(-((-exp(y(21)))*T40*2*T1069))/(T337*T337);
T1088 = params(2)*T349*y(35)*(-exp(y(7)+y(5)-y(8)-y(22)));
T1092 = exp(y(8))*(-(T38*exp(y(7))*params(2)*T349*y(36)))/T1040;
T1093 = exp(y(8))*exp(y(8));
T1096 = exp(y(24))*exp(y(9))*T1092/T1093;
T1097 = T524*T1096;
T1128 = (-(params(19)*params(2)*(-(exp(y(21))*exp(y(6))*T49))/(T52*T52)));
T1137 = T32*(-(T342*exp(y(6))*T49*T52*2))/(T343*T343);
T1140 = (-((-(T32*params(19)*exp(y(21))*params(32)*exp(y(6)+y(22))))/T986))+y(34)*(-T1137);
T1146 = T32*params(19)*(-(T364*exp(y(6))*T1020))/(T367*T367);
T1152 = (-(params(2)*(-exp(y(5)+y(7)-y(8)-y(22)))));
T1155 = T49*T74*T49*T74;
T1156 = (-(params(2)*exp(y(7))*T49*T74))/T1155;
T1157 = T99*T1156;
T1161 = T74*(-(T49*exp(y(7))*params(2)*(-y(36))))/T1017;
T1162 = T74*T74;
T1166 = params(23)*T10*T78*T1161/T1162;
T1167 = T298*T1166;
T1177 = (-((-(T49*T32*params(19)))/T1017));
T1180 = (-(T364*T1020*T1177));
T1183 = T32*params(19)*T1180/(T367*T367);
T1190 = (-(params(2)*y(35)*(-exp(y(5)+y(7)-y(8)-y(22)))));
T1199 = T19*params(24)*T10*T78*T74*(-(T49*exp(y(7))*params(2)*y(36)))/T1017/T1162;
T1200 = T298*T1199;
T1208 = (-(params(5)*T230));
T1215 = exp(y(24))*exp(y(9))*exp(y(8))*T38*exp(y(7))*params(2)*T349*y(36)/T1040/T1093;
T1216 = T524*T1215;
T1225 = (-(T230*params(5)*y(43)));
T1227 = (-(exp(y(7)+y(19))*y(42)))-T230*params(5)*y(43);
T1228 = params(2)*exp(y(7))*T49*T74/T1155;
T1231 = T74*T49*exp(y(7))*params(2)*(-y(36))/T1017;
T1235 = params(23)*T10*T78*T1231/T1162;
T1236 = T298*T1235;
T1237 = (-(exp(y(5)+y(7)-y(8)-y(22))*params(2)*y(35)));
T1244 = T19*params(24)*T10*T78*T74*T49*exp(y(7))*params(2)*y(36)/T1017/T1162;
T1245 = T298*T1244;
T1248 = (-(T74*exp(y(7))*params(2)*(-y(36))/T49));
T1252 = params(23)*T10*T78*T1248/T1162;
T1253 = T298*T1252;
T1261 = (-(T74*exp(y(7))*params(2)*y(36)/T49));
T1266 = T19*params(24)*T10*T78*T1261/T1162;
T1267 = T298*T1266;
T1285 = T292*(-params(23))*T298+params(32)*y(39)*(params(23)*T309*T313+y(10)*T313*params(23)*(-params(23))*T309-T313*(-params(23))*T309);
T1317 = (1-params(5))*(1-params(5));
T1318 = params(5)*(1-params(5))/T1317;
T1324 = exp(y(13)+y(15))*T257*exp(y(13)+y(15))^(T257-1);
T1328 = (1-params(5))*params(5)*params(4)*params(32)*y(44)*T1324/T1317;
T1334 = (-(params(5)*y(43)*(-T230)));
T1345 = T524*(-(params(24)*exp(y(24))));
T1373 = (-(params(24)*(-exp(y(5)))));
T1393 = exp(y(20))*exp(y(20));
T1394 = exp(y(20))*y(47)*exp(y(9))*exp(y(30))/T1393;
T1397 = exp(y(20))*exp(y(9))*exp(y(30))/T1393;
T1402 = (-(exp(y(8))*exp(y(7))*params(2)*T349*y(36)/T38));
T1405 = exp(y(24))*exp(y(9))*T1402/T1093;
T1406 = T524*T1405;
T1421 = (-(exp(y(20))*y(47)*exp(y(9))*exp(y(30))))/T1393;
T1429 = exp(y(1))*(1-params(15))*exp(y(1))^(1-params(15)-1);
T1430 = params(14)*T1429;
T1433 = (-(T191*T1430))/(T196*T196);
T1434 = T780*T1433;
T1447 = (1-params(5))/T1317;
T1464 = (1-params(4))*(-(params(4)*T247*T1447))/((1-params(4))*(1-params(4)));
T1472 = exp(y(15)+y(13))*T257*exp(y(15)+y(13))^(T257-1);
T1473 = params(4)*T1472;
T1478 = T1464*(1-params(5))*T250^(1-params(5)-1);
T1492 = (1-params(5))*params(4)*params(5)*(1-params(4))*T1464*params(5)*T250^(params(5)-1)/T1317;
T1495 = T485*T247*T1447+T247*T1492;
T1504 = ((1-params(4)*T247)*T1495-T247*T485*(-(params(4)*T247*T1447)))/((1-params(4)*T247)*(1-params(4)*T247))-(1-params(5))*params(5)*T1473/T1317;
T1511 = params(4)*T264*y(45)*T247*T1447+T247*params(4)*y(45)*T1478;
T1531 = T74*T49*exp(y(7))*(-params(2))/T1017;
T1535 = params(23)*T10*T78*T1531/T1162;
T1536 = T298*T1535;
T1539 = T74*T49*params(2)*exp(y(7))/T1017;
T1544 = T19*params(24)*T10*T78*T1539/T1162;
T1545 = T298*T1544;
T1569 = T49*T32*params(19)*exp(y(21))*params(32)*T367/(T367*T367);
T1581 = (1-params(5))*params(4)*params(2)*(-1)/params(32)/T1317;
T1582 = T389*T1581;
T1595 = (1+T19*params(11)-params(11))*T19*params(5)*params(11)/T936;
T1597 = (-(T230*T1595));
T1629 = exp(y(8))*T38*exp(y(7))*params(2)*T349/T1040;
T1632 = exp(y(24))*exp(y(9))*T1629/T1093;
T1633 = T524*T1632;
T1645 = T191*T189*params(14)*T568^T198*T74*params(32);
T1649 = exp(y(1))*(1-params(15))*exp(y(1))^(1-params(15)-1);
T1650 = params(14)*T1649;
T1652 = T191*T1650/T800;
T1655 = params(14)*T74*params(32)*y(41)*T807*T1652;
T1656 = T189*T1655;
T1722 = (-(T1040*(-(params(19)*exp(y(6))*T38))/(T1040*T1040)));
T1733 = (-((T1040*(-(params(19)*exp(y(6))*T38))-(-(params(19)*exp(y(6))*T38))*(T1040+T1040))/(T1040*T1040)));
T1756 = (-(params(19)*params(2)*(-((-(exp(y(21))*exp(y(6))*T49))*(T52*(-(T32*params(19)))+T52*(-(T32*params(19))))))/(T52*T52*T52*T52)));
T1760 = (-(params(19)*params(2)*T52*T52*(-(exp(y(21))*exp(y(6))*T49))/(T52*T52*T52*T52)));
T1767 = (-(params(19)*params(2)*(T52*T52*(-(exp(y(21))*exp(y(6))*T49))-(-(exp(y(21))*exp(y(6))*T49))*(exp(y(6))*T49*T52+exp(y(6))*T49*T52))/(T52*T52*T52*T52)));
T1790 = T99*((-(params(2)*exp(y(7))*T49*T74))*T1155-(-(params(2)*exp(y(7))*T49*T74))*(T1155+T1155))/(T1155*T1155);
T1821 = T769+exp(y(1))*params(14)*exp(y(6)+params(15)*(y(2)-y(1)))*(-params(15))+exp(y(1))*params(14)*(-params(15))*exp(y(6)+params(15)*(y(2)-y(1)))*(-params(15));
T1880 = T773+exp(y(1))*(1-params(15))*exp(y(1))*(1-params(15)-1)*exp(y(1))^(1-params(15)-1-1);
T1888 = (T198-1)*(T191/T196)^(T198-1-1);
T1890 = T198*T777*T1888;
T1893 = T780*T196*T196*T196*params(14)*T1880/(T196*T196*T196*T196)+T777*T1890;
T1902 = T1433*T1890+T780*T196*T196*(-(params(14)*T773*T1430))/(T196*T196*T196*T196);
T1924 = T1433*T198*T1433*T1888+T780*(T196*T196*(-(T191*params(14)*(T1429+exp(y(1))*(1-params(15))*exp(y(1))*(1-params(15)-1)*exp(y(1))^(1-params(15)-1-1))))-(-(T191*T1430))*(T196*T1430+T196*T1430))/(T196*T196*T196*T196);
T1936 = T19*params(11)/(1+T19*params(11)-params(11))*T904+T230*(T19*params(11)*(1+T19*params(11)-params(11))-T19*params(11)*T19*params(11))/T936;
T1952 = (1-params(4))*(1-params(4))*(1-params(4))*(-(params(4)*T1447*T247*T1447))/((1-params(4))*(1-params(4))*(1-params(4))*(1-params(4)));
T1961 = (1-params(4))*(params(5)*T250^(params(5)-1)*T1952+T1464*params(5)*T1464*(params(5)-1)*T250^(params(5)-1-1));
T1970 = params(4)*(T1472+exp(y(15)+y(13))*T257*exp(y(15)+y(13))*(T257-1)*exp(y(15)+y(13))^(T257-1-1));
T1980 = (1-params(5))*T250^(1-params(5)-1)*T1952+T1464*(1-params(5))*T1464*(1-params(5)-1)*T250^(1-params(5)-1-1);
T2022 = T309*(-(params(24)*(-T19)))+(-(params(24)*(-T19)))*T309*(-(params(24)*(-T19)));
T2238 = (T955*(exp(y(21))*exp(y(6)+y(22))*T324+exp(y(6)+y(22))*exp(y(21))*exp(y(6)+y(22))-(exp(y(6)+y(22))*exp(y(21))*exp(y(6)+y(22))+exp(y(6)+y(22))*exp(y(21))*exp(y(6)+y(22))))-T981*(exp(y(6)+y(22))*T324+exp(y(6)+y(22))*T324))/(T955*T955);
T2243 = (exp(y(6)+y(22))-T32*params(19))*(-(T32*params(19)))+(exp(y(6)+y(22))-T32*params(19))*(-(T32*params(19)));
T2288 = T357*T32*T38*2*(T32*T38-params(19)*exp(y(6)))+T357*T32*T38*2*(T32*T38-params(19)*exp(y(6)));
T2293 = T32*(T357*T357*(-(T354*(T32*T38*2*(T32*T38-params(19)*exp(y(6)))+T32*T38*2*T32*T38)))-T1010*T2288)/(T357*T357*T357*T357);
T2294 = T1012+T2293;
T2312 = T367*T367*T367*T367;
T2387 = T357*T1057+T357*T1057;
T2521 = (-((T986*(-(T32*params(19)*exp(y(21))*params(32)*exp(y(6)+y(22))))-(-(T32*params(19)*exp(y(21))*params(32)*exp(y(6)+y(22))))*T2243)/(T986*T986)))+y(34)*(-(T1137+T32*(T343*T343*(-(T342*exp(y(6))*T49*2*(-(T32*params(19)))))-(-(T342*exp(y(6))*T49*T52*2))*(T343*(-(T32*params(19)))*T52*2+T343*(-(T32*params(19)))*T52*2))/(T343*T343*T343*T343)));
T2543 = (-(T986*(-(T32*params(19)*exp(y(21))*params(32)*exp(y(6)+y(22))))/(T986*T986)))+y(34)*(-(T32*T343*T343*(-(T342*exp(y(6))*T49*T52*2))/(T343*T343*T343*T343)));
T2572 = (-((T986*(-(T32*params(19)*exp(y(21))*params(32)*exp(y(6)+y(22))))-(-(T32*params(19)*exp(y(21))*params(32)*exp(y(6)+y(22))))*(exp(y(6)+y(22))*(exp(y(6)+y(22))-T32*params(19))+exp(y(6)+y(22))*(exp(y(6)+y(22))-T32*params(19))))/(T986*T986)))+y(34)*(-(T32*(T343*T343*(-(T342*(exp(y(6))*T49*T52*2+exp(y(6))*T49*exp(y(6))*T49*2)))-(-(T342*exp(y(6))*T49*T52*2))*(T343*exp(y(6))*T49*T52*2+T343*exp(y(6))*T49*T52*2))/(T343*T343*T343*T343)));
T2669 = T32*(T357*T357*T32*T38*2*(T32*T38-params(19)*exp(y(6)))*exp(y(21))*params(19)*params(2)*T349-T357*exp(y(21))*params(19)*params(2)*T349*T2288)/(T357*T357*T357*T357);
T2742 = T787+exp(y(1))*params(14)*params(15)*exp(y(6)+params(15)*(y(2)-y(1)))*(-params(15))+exp(y(1))*params(14)*params(15)*(-params(15))*exp(y(6)+params(15)*(y(2)-y(1)))*(-params(15));
T2770 = T1317*(1-params(5))*params(5)*params(4)*params(32)*y(44)*(T1324+exp(y(13)+y(15))*T257*exp(y(13)+y(15))*(T257-1)*exp(y(13)+y(15))^(T257-1-1))/(T1317*T1317);
T2778 = (-(T1317*(1-params(5))*params(5)*T1324*params(4)*params(32)/(T1317*T1317)));
T2781 = exp(y(20))*y(47)*exp(y(9))*exp(y(30))*T1393/(T1393*T1393);
T2783 = T1393*(-(exp(y(20))*y(47)*exp(y(9))*exp(y(30))))/(T1393*T1393);
T2787 = (T1393*(-(exp(y(20))*y(47)*exp(y(9))*exp(y(30))))-(-(exp(y(20))*y(47)*exp(y(9))*exp(y(30))))*(T1393+T1393))/(T1393*T1393);
T2790 = T1393*exp(y(20))*exp(y(9))*exp(y(30))/(T1393*T1393);
T2793 = (T1393*exp(y(20))*exp(y(9))*exp(y(30))-exp(y(20))*exp(y(9))*exp(y(30))*(T1393+T1393))/(T1393*T1393);
T2796 = (exp(y(20))*y(47)*exp(y(9))*exp(y(30))*T1393-exp(y(20))*y(47)*exp(y(9))*exp(y(30))*(T1393+T1393))/(T1393*T1393);
T2832 = T247*T1447*params(4)*y(45)*T1478;
T2880 = T524*exp(y(24))*exp(y(9))*T1093*exp(y(8))*(T1040*(-(T38*exp(y(7))*params(2)*T349*y(36)))-(-(T38*exp(y(7))*params(2)*T349*y(36)))*(T1040+T1040))/(T1040*T1040)/(T1093*T1093);
T2892 = T524*exp(y(24))*exp(y(9))*T1093*exp(y(8))*(T1040*T38*exp(y(7))*params(2)*T349*y(36)-T38*exp(y(7))*params(2)*T349*y(36)*(T1040+T1040))/(T1040*T1040)/(T1093*T1093);
T2900 = T524*exp(y(24))*exp(y(9))*T1093*exp(y(8))*T1040*T38*exp(y(7))*params(2)*T349*y(36)/(T1040*T1040)/(T1093*T1093);
T3001 = T524*exp(y(24))*exp(y(9))*T1093*(-T1092)/(T1093*T1093);
T3009 = T524*exp(y(24))*exp(y(9))*T1093*(-(exp(y(8))*T38*exp(y(7))*params(2)*T349*y(36)/T1040))/(T1093*T1093);
T3033 = T524*exp(y(24))*exp(y(9))*(T1093*T1402-T1402*(T1093+T1093))/(T1093*T1093);
T3069 = T524*exp(y(24))*exp(y(9))*T1093*exp(y(8))*(T1040*T38*exp(y(7))*params(2)*T349-T38*exp(y(7))*params(2)*T349*(T1040+T1040))/(T1040*T1040)/(T1093*T1093);
T3077 = T524*exp(y(24))*exp(y(9))*T1093*exp(y(8))*T1040*T38*exp(y(7))*params(2)*T349/(T1040*T1040)/(T1093*T1093);
T3092 = T524*exp(y(24))*exp(y(9))*(T1093*T1629-T1629*(T1093+T1093))/(T1093*T1093);
T3125 = T191*params(14)*T773+T191*params(14)*T773;
T3175 = T198*T578^(T198-1)*params(14)*(1-params(15))*(1-params(15))*exp(y(1)*(1-params(15)))+T820*T198*T820*(T198-1)*T578^(T198-1-1);
T3181 = T820*(params(14)*y(48)*T579*(1-params(15))*exp(y(1)*(1-params(15)))+exp(y(1)*(1-params(15)))*params(14)*y(48)*T823);
T3680 = (-(exp(y(21))*(exp(y(6)+y(22))*T324-exp(y(6)+y(22))*exp(y(6)+y(22)))/T955));
T3685 = (-(exp(y(21))*(-(exp(y(6)+y(22))*(-(params(19)*exp(y(6))))))/T955));
lhs =y(1)-y(2)-y(3)-log(1+params(1)*T10-params(1));
rhs =0;
residual(1)= lhs-rhs;
lhs =log(1+params(13)*T19-params(13))-y(3)-y(2)-y(4);
rhs =0;
residual(2)= lhs-rhs;
lhs =exp(y(21))/T40-params(19)*params(2)*exp(y(21))/T52-exp(y(7))*exp(y(2));
rhs =0;
residual(3)= lhs-rhs;
lhs =exp(y(7))-params(2)*exp(y(5)+y(7)-y(8)-y(22));
rhs =0;
residual(4)= lhs-rhs;
lhs =(-exp(y(7)))+T76*T99;
rhs =0;
residual(5)= lhs-rhs;
lhs =exp(y(23)+params(22)*y(11)-y(7))*params(18)-exp(y(12));
rhs =0;
residual(6)= lhs-rhs;
lhs =y(19);
rhs =y(11)+params(5)/(params(5)-1)*y(13)+y(25);
residual(7)= lhs-rhs;
lhs =y(10)+T134;
rhs =T143+y(10)*T158*T163;
residual(8)= lhs-rhs;
lhs =(-exp(y(19)))+exp(y(27))+(1-params(14))*exp(y(6)+y(2)*params(15))+exp(y(26)+y(4)*(-params(25)));
rhs =0;
residual(9)= lhs-rhs;
lhs =exp(y(20));
rhs =exp(y(8))*T199;
residual(10)= lhs-rhs;
lhs =exp(y(14))-exp(y(7)+y(19))-params(2)*params(4)*exp(y(15)/(1-params(5))+y(14));
rhs =0;
residual(11)= lhs-rhs;
lhs =exp(y(16))-params(5)*T230-params(2)*params(4)*exp(params(5)*y(15)/(1-params(5))+y(16));
rhs =0;
residual(12)= lhs-rhs;
lhs =T243-(1-params(4))*T250^params(5)-T259;
rhs =0;
residual(13)= lhs-rhs;
lhs =exp(y(16)-y(14));
rhs =T264;
residual(14)= lhs-rhs;
lhs =exp(y(15));
rhs =T282;
residual(15)= lhs-rhs;
lhs =T299+y(39)+params(32)*y(39)*(y(10)*params(23)*T309*T313-T309*T313);
rhs =0;
residual(16)= lhs-rhs;
lhs =exp(y(21))*exp(y(6)+y(22))/T324-T32*params(19)*exp(y(21))*params(32)/(exp(y(6)+y(22))-T32*params(19))+y(34)*(T32*(-exp(y(21)))/T337-T345)+T360+T370/T49+exp(y(6)+params(15)*(y(2)-y(1)))*params(14)*exp(y(1))*y(39)+exp(y(6)+y(2)*params(15))*(1-params(14))*y(40);
rhs =0;
residual(17)= lhs-rhs;
lhs =T391-exp(y(16)-y(14))*y(45);
rhs =0;
residual(18)= lhs-rhs;
lhs =T406-y(38);
rhs =0;
residual(19)= lhs-rhs;
lhs =T422;
rhs =0;
residual(20)= lhs-rhs;
lhs =(-y(32))-y(33)-exp(y(2))*exp(y(7))*y(34)+y(39)*(T432-T143)+exp(y(6)+y(2)*params(15))*params(15)*(1-params(14))*y(40)+exp(y(2))*y(48);
rhs =0;
residual(21)= lhs-rhs;
lhs =params(5)*(-y(38))/(params(5)-1)+T243*params(5)*y(44)/(1-params(5))-params(5)*params(4)*params(32)*y(44)*exp(y(13)+y(15))^T257/(1-params(5));
rhs =0;
residual(22)= lhs-rhs;
lhs =exp(y(20))*y(41)+y(47)*exp(y(9))*exp(y(30))/exp(y(20));
rhs =0;
residual(23)= lhs-rhs;
lhs =T478-T419*T480+y(44)*T490+T247*params(4)*T264*y(45)/(1-params(4)*T247)+exp(y(15))*y(46);
rhs =0;
residual(24)= lhs-rhs;
lhs =T509-T525+T532-T199*exp(y(8))*y(41)+T282*y(46)-params(6)*params(32)*y(46)*T549;
rhs =0;
residual(25)= lhs-rhs;
lhs =y(32)+y(39)*(T134-T432)-T189*params(14)*T199*exp(y(8))*y(41)/T191+T189*T571/T191-exp(y(1)*(1-params(15)))*params(14)*y(48)*T579/T578;
rhs =0;
residual(26)= lhs-rhs;
lhs =T525+T594-params(18)*exp(y(23)+params(22)*y(11)-y(7))*y(37)-exp(y(7)+y(19))*y(42)-T230*params(5)*y(43);
rhs =0;
residual(27)= lhs-rhs;
lhs =(-y(33))+T143*y(39)*((-1)+params(25))-exp(y(26)+y(4)*(-params(25)))*params(25)*y(40);
rhs =0;
residual(28)= lhs-rhs;
lhs =(-y(32))-y(33)-T143*y(39)+y(47)*exp(y(3))/exp(y(3))-params(32)*y(47)*exp(y(3))/exp(y(3));
rhs =0;
residual(29)= lhs-rhs;
lhs =T19*params(13)*y(33)/(1+params(13)*T19-params(13))-exp(y(5)+y(7)-y(8)-y(22))*params(2)*y(35)+T644-y(10)*T313*T309*T647-T230*T654;
rhs =0;
residual(30)= lhs-rhs;
lhs =T525-T532-y(47)*exp(y(9))*exp(y(30))/exp(y(20));
rhs =0;
residual(31)= lhs-rhs;
lhs =exp(y(12))*(-y(37))-T230*params(5)*y(43);
rhs =0;
residual(32)= lhs-rhs;
lhs =y(38)-exp(y(19))*y(40)-exp(y(7)+y(19))*y(42)-T230*params(5)*y(43);
rhs =0;
residual(33)= lhs-rhs;
lhs =y(18);
rhs =exp(y(21))*log(T324)-params(18)*exp(y(23)+y(11)*(1+params(22)))/(1+params(22));
residual(34)= lhs-rhs;
lhs =y(17);
rhs =y(18)+params(32)*y(17);
residual(35)= lhs-rhs;
lhs =exp(y(3))/exp(y(3));
rhs =exp(y(9))*exp(y(30))/exp(y(20));
residual(36)= lhs-rhs;
lhs =exp(y(2))-T579;
rhs =0;
residual(37)= lhs-rhs;
lhs =y(21);
rhs =.95*y(21)+x(1);
residual(38)= lhs-rhs;
lhs =y(22);
rhs =0.05000000000000004*params(53)+.95*y(22)+x(2);
residual(39)= lhs-rhs;
lhs =y(23);
rhs =.95*y(23)+x(3);
residual(40)= lhs-rhs;
lhs =y(24);
rhs =params(38)*0.05000000000000004+y(24)*.95+x(4);
residual(41)= lhs-rhs;
lhs =y(26);
rhs =0.05000000000000004*params(56)+.95*y(26)+x(6);
residual(42)= lhs-rhs;
lhs =y(30);
rhs =0.05000000000000004*params(60)+.95*y(30)+x(10);
residual(43)= lhs-rhs;
lhs =y(25);
rhs =.95*y(25)+x(5);
residual(44)= lhs-rhs;
lhs =y(27);
rhs =0.05000000000000004*(log(params(20))+params(61))+.95*y(27)+x(7);
residual(45)= lhs-rhs;
lhs =y(28);
rhs =0.05000000000000004*params(58)+.95*y(28)+x(8);
residual(46)= lhs-rhs;
lhs =y(29);
rhs =0.05000000000000004*params(59)+.95*y(29)+x(9);
residual(47)= lhs-rhs;
lhs =y(31);
rhs =y(31)*.95+x(11);
residual(48)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(48, 48);

	% 
	% Jacobian matrix
	% 

  g1(1, 1)=  g1(1, 1)+1;
  g1(1, 2)=  g1(1, 2)+(-1);
  g1(1, 3)=  g1(1, 3)+(-1);
  g1(1, 24)=  g1(1, 24)+(-(params(1)*T10/(1+params(1)*T10-params(1))));
  g1(2, 2)=  g1(2, 2)+(-1);
  g1(2, 3)=  g1(2, 3)+(-1);
  g1(2, 5)=  g1(2, 5)+params(13)*T19/(1+params(13)*T19-params(13));
  g1(2, 4)=  g1(2, 4)+(-1);
  g1(3, 2)=  g1(3, 2)+T836;
  g1(3, 21)=  g1(3, 21)+exp(y(21))*T40/(T40*T40);
  g1(3, 6)=  g1(3, 6)+(-(exp(y(21))*T32))/(T40*T40)-params(19)*params(2)*(-(exp(y(21))*(-(T32*params(19)))))/(T52*T52);
  g1(3, 6)=  g1(3, 6)+(-(exp(y(21))*T1042))/(T40*T40);
  g1(3, 22)=  g1(3, 22)+(-(exp(y(21))*T1069))/(T40*T40);
  g1(3, 21)=  g1(3, 21)+(-(params(19)*params(2)*exp(y(21))*T52/(T52*T52)));
  g1(3, 6)=  g1(3, 6)+T1128;
  g1(3, 22)=  g1(3, 22)+T1128;
  g1(3, 7)=  g1(3, 7)+T836;
  g1(4, 5)=  g1(4, 5)+T896;
  g1(4, 22)=  g1(4, 22)+T1152;
  g1(4, 7)=  g1(4, 7)+exp(y(7));
  g1(4, 7)=  g1(4, 7)+T896;
  g1(4, 8)=  g1(4, 8)+T1152;
  g1(5, 24)=  g1(5, 24)+T76*T875;
  g1(5, 5)=  g1(5, 5)+T76*T901;
  g1(5, 22)=  g1(5, 22)+T1157;
  g1(5, 7)=  g1(5, 7)+(-exp(y(7)));
  g1(5, 7)=  g1(5, 7)+T99*T1228;
  g1(5, 8)=  g1(5, 8)+T1157;
  g1(5, 9)=  g1(5, 9)+T76*T99;
  g1(5, 10)=  g1(5, 10)+T76*T79*(-params(23))*T98;
  g1(5, 31)=  g1(5, 31)+T76*T99;
  g1(6, 7)=  g1(6, 7)+params(18)*(-exp(y(23)+params(22)*y(11)-y(7)));
  g1(6, 23)=  g1(6, 23)+exp(y(23)+params(22)*y(11)-y(7))*params(18);
  g1(6, 11)=  g1(6, 11)+params(18)*params(22)*exp(y(23)+params(22)*y(11)-y(7));
  g1(6, 12)=  g1(6, 12)+(-exp(y(12)));
  g1(7, 11)=  g1(7, 11)+(-1);
  g1(7, 19)=  g1(7, 19)+1;
  g1(7, 13)=  g1(7, 13)+(-(params(5)/(params(5)-1)));
  g1(7, 25)=  g1(7, 25)+(-1);
  g1(8, 1)=  g1(8, 1)+T769;
  g1(8, 2)=  g1(8, 2)+T838-T143;
  g1(8, 3)=  g1(8, 3)+(-T143);
  g1(8, 4)=  g1(8, 4)+(-((1-params(25))*T143));
  g1(8, 6)=  g1(8, 6)+T134;
  g1(8, 22)=  g1(8, 22)+(-(y(10)*T158*(-T163)));
  g1(8, 10)=  g1(8, 10)+1;
  g1(8, 26)=  g1(8, 26)+(-T143);
  g1(8, 24)=  g1(8, 24)+(-(y(10)*T163*T158*(1-params(24)*exp(y(24)))));
  g1(8, 10)=  g1(8, 10)+(-(T158*T163+y(10)*T163*(-params(23))*T158));
  g1(8, 5)=  g1(8, 5)+(-(y(10)*T163*T158*T1373));
  g1(8, 31)=  g1(8, 31)+(-(y(10)*T158*T163));
  g1(8, 9)=  g1(8, 9)+(-(y(10)*T158*T163));
  g1(8, 8)=  g1(8, 8)+(-(y(10)*T158*(-T163)));
  g1(9, 2)=  g1(9, 2)+(1-params(14))*params(15)*exp(y(6)+y(2)*params(15));
  g1(9, 4)=  g1(9, 4)+(-params(25))*exp(y(26)+y(4)*(-params(25)));
  g1(9, 6)=  g1(9, 6)+(1-params(14))*exp(y(6)+y(2)*params(15));
  g1(9, 19)=  g1(9, 19)+(-exp(y(19)));
  g1(9, 26)=  g1(9, 26)+exp(y(26)+y(4)*(-params(25)));
  g1(9, 27)=  g1(9, 27)+exp(y(27));
  g1(10, 1)=  g1(10, 1)+(-(exp(y(8))*T781));
  g1(10, 8)=  g1(10, 8)+(-(exp(y(8))*T199));
  g1(10, 20)=  g1(10, 20)+exp(y(20));
  g1(10, 1)=  g1(10, 1)+(-(exp(y(8))*T1434));
  g1(11, 7)=  g1(11, 7)+(-exp(y(7)+y(19)));
  g1(11, 19)=  g1(11, 19)+(-exp(y(7)+y(19)));
  g1(11, 14)=  g1(11, 14)+exp(y(14));
  g1(11, 15)=  g1(11, 15)+(-(params(2)*params(4)*exp(y(15)/(1-params(5))+y(14))*T1447));
  g1(11, 14)=  g1(11, 14)+(-(params(2)*params(4)*exp(y(15)/(1-params(5))+y(14))));
  g1(12, 5)=  g1(12, 5)+(-(params(5)*T904));
  g1(12, 7)=  g1(12, 7)+T1208;
  g1(12, 12)=  g1(12, 12)+T1208;
  g1(12, 19)=  g1(12, 19)+T1208;
  g1(12, 25)=  g1(12, 25)+(-(params(5)*(-T230)));
  g1(12, 15)=  g1(12, 15)+(-(params(2)*params(4)*exp(params(5)*y(15)/(1-params(5))+y(16))*T1318));
  g1(12, 16)=  g1(12, 16)+exp(y(16));
  g1(12, 28)=  g1(12, 28)+T1208;
  g1(12, 16)=  g1(12, 16)+(-(params(2)*params(4)*exp(params(5)*y(15)/(1-params(5))+y(16))));
  g1(13, 13)=  g1(13, 13)+T243*T1318;
  g1(13, 15)=  g1(13, 15)+(-((1-params(4))*T1464*params(5)*T250^(params(5)-1)))-T1473;
  g1(13, 13)=  g1(13, 13)+(-T1473);
  g1(14, 14)=  g1(14, 14)+(-exp(y(16)-y(14)));
  g1(14, 16)=  g1(14, 16)+exp(y(16)-y(14));
  g1(14, 15)=  g1(14, 15)+(-T1478);
  g1(15, 8)=  g1(15, 8)+T282;
  g1(15, 15)=  g1(15, 15)+exp(y(15));
  g1(15, 8)=  g1(15, 8)+(-(params(6)*T282));
  g1(15, 29)=  g1(15, 29)+(-((1-params(6)-params(7))*T282));
  g1(16, 24)=  g1(16, 24)+T888;
  g1(16, 5)=  g1(16, 5)+T916;
  g1(16, 22)=  g1(16, 22)+T1167+params(32)*y(39)*(y(10)*params(23)*T309*(-T313)-T309*(-T313));
  g1(16, 7)=  g1(16, 7)+T1236;
  g1(16, 8)=  g1(16, 8)+params(32)*y(39)*(y(10)*params(23)*T309*(-T313)-T309*(-T313))+T1253;
  g1(16, 9)=  g1(16, 9)+T299+params(32)*y(39)*(y(10)*params(23)*T309*T313-T309*T313);
  g1(16, 10)=  g1(16, 10)+T1285;
  g1(16, 31)=  g1(16, 31)+T299+params(32)*y(39)*(y(10)*params(23)*T309*T313-T309*T313);
  g1(16, 36)=  g1(16, 36)+T1536;
  g1(16, 39)=  g1(16, 39)+1;
  g1(16, 39)=  g1(16, 39)+params(32)*(y(10)*params(23)*T309*T313-T309*T313);
  g1(17, 1)=  g1(17, 1)+T785;
  g1(17, 2)=  g1(17, 2)+params(14)*exp(y(1))*y(39)*params(15)*exp(y(6)+params(15)*(y(2)-y(1)))+(1-params(14))*y(40)*params(15)*exp(y(6)+y(2)*params(15));
  g1(17, 21)=  g1(17, 21)+exp(y(21))*exp(y(6)+y(22))*T324/T955+y(34)*T960+T38*T32*T354*T357/(T357*T357);
  g1(17, 6)=  g1(17, 6)+exp(y(6)+y(2)*params(15))*(1-params(14))*y(40)+exp(y(6)+params(15)*(y(2)-y(1)))*params(14)*exp(y(1))*y(39)+T982-(T983-T32*params(19)*exp(y(21))*params(32)*(-(T32*params(19))))/T986+y(34)*T1004+T38*(T32*T354/T357+T1012)+T49*T1028/T1017;
  g1(17, 6)=  g1(17, 6)+T1048/T955+y(34)*T1054+T38*T1061;
  g1(17, 22)=  g1(17, 22)+T982+y(34)*T1081+T360+T38*T1012;
  g1(17, 21)=  g1(17, 21)+(-(T983/T986))+y(34)*(-(T32*T342*T343/(T343*T343)))+T49*T32*params(19)*T364*T367/(T367*T367)/T1017;
  g1(17, 6)=  g1(17, 6)+T1140+T49*T1146/T1017;
  g1(17, 22)=  g1(17, 22)+T1140+(T49*T1183-T49*T370)/T1017;
  g1(17, 39)=  g1(17, 39)+T134;
  g1(17, 34)=  g1(17, 34)+T32*(-exp(y(21)))/T337-T345;
  g1(17, 34)=  g1(17, 34)+T38*T32*T357*exp(y(21))*params(19)*params(2)*T349/(T357*T357);
  g1(17, 34)=  g1(17, 34)+T1569/T1017;
  g1(17, 40)=  g1(17, 40)+(1-params(14))*exp(y(6)+y(2)*params(15));
  g1(18, 14)=  g1(18, 14)+T391-y(45)*(-exp(y(16)-y(14)));
  g1(18, 16)=  g1(18, 16)+(-(exp(y(16)-y(14))*y(45)));
  g1(18, 15)=  g1(18, 15)+(-(params(4)*params(2)*T349*y(42)*T389*T1447));
  g1(18, 42)=  g1(18, 42)+exp(y(14));
  g1(18, 42)=  g1(18, 42)+(-(T389*params(4)*params(2)*T349));
  g1(18, 45)=  g1(18, 45)+(-exp(y(16)-y(14)));
  g1(19, 7)=  g1(19, 7)+params(18)*params(22)*y(37)*(-exp(y(23)+params(22)*y(11)-y(7)));
  g1(19, 23)=  g1(19, 23)+T406;
  g1(19, 11)=  g1(19, 11)+(-params(18))*(1+params(22))*exp(y(23)+y(11)*(1+params(22)))+params(18)*params(22)*y(37)*params(22)*exp(y(23)+params(22)*y(11)-y(7));
  g1(19, 37)=  g1(19, 37)+params(18)*params(22)*exp(y(23)+params(22)*y(11)-y(7));
  g1(19, 38)=  g1(19, 38)+(-1);
  g1(20, 14)=  g1(20, 14)+y(45)*(-exp(y(16)-y(14)));
  g1(20, 16)=  g1(20, 16)+T422;
  g1(20, 15)=  g1(20, 15)+(-(params(4)*params(2)*T349*y(43)*T419*T1318));
  g1(20, 45)=  g1(20, 45)+exp(y(16)-y(14));
  g1(20, 43)=  g1(20, 43)+exp(y(16));
  g1(20, 43)=  g1(20, 43)+(-(T419*params(4)*params(2)*T349));
  g1(21, 1)=  g1(21, 1)+y(39)*T787;
  g1(21, 2)=  g1(21, 2)+exp(y(2))*y(48)+(-(exp(y(2))*exp(y(7))*y(34)))+y(39)*(T846-T143)+params(15)*(1-params(14))*y(40)*params(15)*exp(y(6)+y(2)*params(15));
  g1(21, 3)=  g1(21, 3)+y(39)*(-T143);
  g1(21, 4)=  g1(21, 4)+y(39)*(-((1-params(25))*T143));
  g1(21, 6)=  g1(21, 6)+exp(y(6)+y(2)*params(15))*params(15)*(1-params(14))*y(40)+y(39)*T432;
  g1(21, 7)=  g1(21, 7)+(-(exp(y(2))*exp(y(7))*y(34)));
  g1(21, 26)=  g1(21, 26)+y(39)*(-T143);
  g1(21, 39)=  g1(21, 39)+T432-T143;
  g1(21, 34)=  g1(21, 34)+T836;
  g1(21, 40)=  g1(21, 40)+exp(y(6)+y(2)*params(15))*params(15)*(1-params(14));
  g1(21, 32)=  g1(21, 32)+(-1);
  g1(21, 33)=  g1(21, 33)+(-1);
  g1(21, 48)=  g1(21, 48)+exp(y(2));
  g1(22, 13)=  g1(22, 13)+params(5)*y(44)/(1-params(5))*T243*T1318-T1328;
  g1(22, 15)=  g1(22, 15)+(-T1328);
  g1(22, 38)=  g1(22, 38)+(params(5)-1)*(-params(5))/((params(5)-1)*(params(5)-1));
  g1(22, 44)=  g1(22, 44)+T243*T1318;
  g1(22, 44)=  g1(22, 44)+(-((1-params(5))*params(5)*exp(y(13)+y(15))^T257*params(4)*params(32)/T1317));
  g1(23, 9)=  g1(23, 9)+T1394;
  g1(23, 20)=  g1(23, 20)+exp(y(20))*y(41)+T1421;
  g1(23, 41)=  g1(23, 41)+exp(y(20));
  g1(23, 47)=  g1(23, 47)+T1397;
  g1(23, 30)=  g1(23, 30)+T1394;
  g1(24, 14)=  g1(24, 14)+T478;
  g1(24, 16)=  g1(24, 16)+(-(T419*T480));
  g1(24, 15)=  g1(24, 15)+exp(y(15))*y(46)+T477*T389*T1447-T480*T419*T1318+y(44)*T1504+((1-params(4)*T247)*T1511-T247*params(4)*T264*y(45)*(-(params(4)*T247*T1447)))/((1-params(4)*T247)*(1-params(4)*T247));
  g1(24, 13)=  g1(24, 13)+y(44)*(-((1-params(5))*params(5)*T1473/T1317));
  g1(24, 42)=  g1(24, 42)+T1582;
  g1(24, 45)=  g1(24, 45)+(1-params(4)*T247)*T247*params(4)*T264/((1-params(4)*T247)*(1-params(4)*T247));
  g1(24, 43)=  g1(24, 43)+(-(T419*(1-params(5))*params(5)*params(4)*params(2)*T349/T1317));
  g1(24, 44)=  g1(24, 44)+T490;
  g1(24, 46)=  g1(24, 46)+exp(y(15));
  g1(25, 1)=  g1(25, 1)+(-(exp(y(8))*y(41)*T781));
  g1(25, 22)=  g1(25, 22)+T1088-T1097+y(10)*y(39)*T529*(-T163);
  g1(25, 7)=  g1(25, 7)+T509-T1216;
  g1(25, 8)=  g1(25, 8)+(-(params(6)*params(32)*y(46)*(-T549)));
  g1(25, 24)=  g1(25, 24)+(-(T525+T517*T1345))+y(10)*T163*y(39)*T529*(1-params(24)*exp(y(24)));
  g1(25, 10)=  g1(25, 10)+(-(T517*(-params(23))*T524))+T531+y(10)*T163*y(39)*(-params(23))*T529;
  g1(25, 5)=  g1(25, 5)+T509-T517*T524*T1373+y(10)*T163*y(39)*T529*T1373;
  g1(25, 31)=  g1(25, 31)+T532+(-T525);
  g1(25, 9)=  g1(25, 9)+T532+(-T525);
  g1(25, 8)=  g1(25, 8)+y(10)*y(39)*T529*(-T163)+T1088-T1406-T199*exp(y(8))*y(41)+y(46)*(-T282)-params(6)*params(32)*y(46)*params(6)*T549;
  g1(25, 1)=  g1(25, 1)+(-(exp(y(8))*y(41)*T1434));
  g1(25, 8)=  g1(25, 8)+y(46)*params(6)*T282;
  g1(25, 29)=  g1(25, 29)+y(46)*(1-params(6)-params(7))*T282;
  g1(25, 39)=  g1(25, 39)+y(10)*T163*T529;
  g1(25, 41)=  g1(25, 41)+(-(exp(y(8))*T199));
  g1(25, 46)=  g1(25, 46)+T282;
  g1(25, 35)=  g1(25, 35)+exp(y(7)+y(5)-y(8)-y(22))*params(2)*T349;
  g1(25, 36)=  g1(25, 36)+(-T1633);
  g1(25, 46)=  g1(25, 46)+(-(T549*params(6)*params(32)));
  g1(25, 29)=  g1(25, 29)+(-(params(6)*params(32)*y(46)*(1-params(6)-params(7))*T549));
  g1(26, 1)=  g1(26, 1)+y(39)*(T769-T787)-T799/T800+(T191*T813-T189*T571*params(14)*T773)/T800-T831/(T578*T578);
  g1(26, 2)=  g1(26, 2)+y(39)*(T838-T846);
  g1(26, 6)=  g1(26, 6)+y(39)*(T134-T432);
  g1(26, 8)=  g1(26, 8)+T191*T189*T571/T800;
  g1(26, 8)=  g1(26, 8)+(-(T191*T189*params(14)*T199*exp(y(8))*y(41)/T800));
  g1(26, 1)=  g1(26, 1)+(-(T191*T189*params(14)*exp(y(8))*y(41)*T1434/T800));
  g1(26, 39)=  g1(26, 39)+T134-T432;
  g1(26, 32)=  g1(26, 32)+1;
  g1(26, 48)=  g1(26, 48)+(-(T578*exp(y(1)*(1-params(15)))*params(14)*T579/(T578*T578)));
  g1(26, 41)=  g1(26, 41)+(-(T191*T189*params(14)*exp(y(8))*T199/T800));
  g1(26, 41)=  g1(26, 41)+T1645/T800;
  g1(26, 1)=  g1(26, 1)+T191*T1656/T800;
  g1(27, 2)=  g1(27, 2)+exp(y(2))*exp(y(7))*(-y(34));
  g1(27, 5)=  g1(27, 5)+T918;
  g1(27, 22)=  g1(27, 22)+T1097-T1088;
  g1(27, 7)=  g1(27, 7)+T594+T1216-params(18)*y(37)*(-exp(y(23)+params(22)*y(11)-y(7)))-exp(y(7)+y(19))*y(42)-T230*params(5)*y(43);
  g1(27, 23)=  g1(27, 23)+(-(params(18)*exp(y(23)+params(22)*y(11)-y(7))*y(37)));
  g1(27, 11)=  g1(27, 11)+(-(params(18)*y(37)*params(22)*exp(y(23)+params(22)*y(11)-y(7))));
  g1(27, 12)=  g1(27, 12)+T1225;
  g1(27, 19)=  g1(27, 19)+T1227;
  g1(27, 25)=  g1(27, 25)+T1334;
  g1(27, 24)=  g1(27, 24)+T525+T517*T1345;
  g1(27, 10)=  g1(27, 10)+T517*(-params(23))*T524;
  g1(27, 5)=  g1(27, 5)+T517*T524*T1373-T509;
  g1(27, 31)=  g1(27, 31)+T525;
  g1(27, 9)=  g1(27, 9)+T525;
  g1(27, 8)=  g1(27, 8)+T1406-T1088;
  g1(27, 28)=  g1(27, 28)+T1225;
  g1(27, 36)=  g1(27, 36)+(-exp(y(7)));
  g1(27, 34)=  g1(27, 34)+exp(y(2))*(-exp(y(7)));
  g1(27, 42)=  g1(27, 42)+(-exp(y(7)+y(19)));
  g1(27, 37)=  g1(27, 37)+(-(exp(y(23)+params(22)*y(11)-y(7))*params(18)));
  g1(27, 43)=  g1(27, 43)+T1208;
  g1(27, 35)=  g1(27, 35)+(-(exp(y(7)+y(5)-y(8)-y(22))*params(2)*T349));
  g1(27, 36)=  g1(27, 36)+T1633;
  g1(27, 35)=  g1(27, 35)+exp(y(7));
  g1(28, 2)=  g1(28, 2)+T143*y(39)*((-1)+params(25));
  g1(28, 3)=  g1(28, 3)+T143*y(39)*((-1)+params(25));
  g1(28, 4)=  g1(28, 4)+y(39)*((-1)+params(25))*(1-params(25))*T143-params(25)*y(40)*(-params(25))*exp(y(26)+y(4)*(-params(25)));
  g1(28, 26)=  g1(28, 26)+T143*y(39)*((-1)+params(25))-exp(y(26)+y(4)*(-params(25)))*params(25)*y(40);
  g1(28, 39)=  g1(28, 39)+T143*((-1)+params(25));
  g1(28, 40)=  g1(28, 40)+(-(params(25)*exp(y(26)+y(4)*(-params(25)))));
  g1(28, 33)=  g1(28, 33)+(-1);
  g1(29, 2)=  g1(29, 2)+(-(T143*y(39)));
  g1(29, 3)=  g1(29, 3)+(-(T143*y(39)))+y(47)*exp(y(3))*exp(y(3))/T859-(-(exp(y(3))*params(32)*y(47)*exp(y(3))))/T864;
  g1(29, 4)=  g1(29, 4)+(-(y(39)*(1-params(25))*T143));
  g1(29, 26)=  g1(29, 26)+(-(T143*y(39)));
  g1(29, 39)=  g1(29, 39)+(-T143);
  g1(29, 32)=  g1(29, 32)+(-1);
  g1(29, 33)=  g1(29, 33)+(-1);
  g1(29, 47)=  g1(29, 47)+T868;
  g1(29, 3)=  g1(29, 3)+(-(y(47)*exp(y(3))*exp(y(3))))/T859;
  g1(29, 47)=  g1(29, 47)+(-(exp(y(3))*params(32)*exp(y(3))/T864));
  g1(29, 3)=  g1(29, 3)+(-(exp(y(3))*params(32)*y(47)*exp(y(3))/T864));
  g1(30, 24)=  g1(30, 24)+T644+T643*T877-y(10)*T313*T647*T309*(1-T10*params(24));
  g1(30, 5)=  g1(30, 5)+((1+params(13)*T19-params(13))*T19*params(13)*y(33)-params(13)*T19*T19*params(13)*y(33))/T922-exp(y(5)+y(7)-y(8)-y(22))*params(2)*y(35)+T644+T643*T907-y(10)*T313*T929-(T654*T904+T230*T937);
  g1(30, 22)=  g1(30, 22)+T1190+T1200-y(10)*T309*T647*(-T313);
  g1(30, 7)=  g1(30, 7)+(-(T230*T654));
  g1(30, 7)=  g1(30, 7)+T1237+T1245;
  g1(30, 8)=  g1(30, 8)+T1190+T1267-y(10)*T309*T647*(-T313);
  g1(30, 9)=  g1(30, 9)+T644-y(10)*T313*T309*T647;
  g1(30, 10)=  g1(30, 10)+T643*(-params(23))*T298-(T313*T309*T647+y(10)*T313*T647*(-params(23))*T309);
  g1(30, 31)=  g1(30, 31)+T644-y(10)*T313*T309*T647;
  g1(30, 12)=  g1(30, 12)+(-(T230*T654));
  g1(30, 19)=  g1(30, 19)+(-(T230*T654));
  g1(30, 25)=  g1(30, 25)+(-(T654*(-T230)));
  g1(30, 28)=  g1(30, 28)+(-(T230*T654));
  g1(30, 36)=  g1(30, 36)+T1545;
  g1(30, 39)=  g1(30, 39)+(-(y(10)*T313*T309*T19*params(24)*params(32)));
  g1(30, 43)=  g1(30, 43)+T1597;
  g1(30, 33)=  g1(30, 33)+params(13)*T19*(1+params(13)*T19-params(13))/T922;
  g1(30, 35)=  g1(30, 35)+T896;
  g1(31, 22)=  g1(31, 22)+T1097-y(10)*y(39)*T529*(-T163);
  g1(31, 7)=  g1(31, 7)+T1216;
  g1(31, 24)=  g1(31, 24)+T525+T517*T1345-y(10)*T163*y(39)*T529*(1-params(24)*exp(y(24)));
  g1(31, 10)=  g1(31, 10)+T517*(-params(23))*T524-(T531+y(10)*T163*y(39)*(-params(23))*T529);
  g1(31, 5)=  g1(31, 5)+T517*T524*T1373-y(10)*T163*y(39)*T529*T1373;
  g1(31, 31)=  g1(31, 31)+T525-T532;
  g1(31, 9)=  g1(31, 9)+T525-T532-T1394;
  g1(31, 8)=  g1(31, 8)+T1406-y(10)*y(39)*T529*(-T163);
  g1(31, 20)=  g1(31, 20)+(-T1421);
  g1(31, 39)=  g1(31, 39)+(-(y(10)*T163*T529));
  g1(31, 47)=  g1(31, 47)+(-T1397);
  g1(31, 30)=  g1(31, 30)+(-T1394);
  g1(31, 36)=  g1(31, 36)+T1633;
  g1(32, 5)=  g1(32, 5)+T918;
  g1(32, 7)=  g1(32, 7)+T1225;
  g1(32, 12)=  g1(32, 12)+exp(y(12))*(-y(37))-T230*params(5)*y(43);
  g1(32, 19)=  g1(32, 19)+T1225;
  g1(32, 25)=  g1(32, 25)+T1334;
  g1(32, 28)=  g1(32, 28)+T1225;
  g1(32, 37)=  g1(32, 37)+(-exp(y(12)));
  g1(32, 43)=  g1(32, 43)+T1208;
  g1(33, 5)=  g1(33, 5)+T918;
  g1(33, 7)=  g1(33, 7)+T1227;
  g1(33, 12)=  g1(33, 12)+T1225;
  g1(33, 19)=  g1(33, 19)+(-(exp(y(19))*y(40)))-exp(y(7)+y(19))*y(42)-T230*params(5)*y(43);
  g1(33, 25)=  g1(33, 25)+T1334;
  g1(33, 28)=  g1(33, 28)+T1225;
  g1(33, 40)=  g1(33, 40)+(-exp(y(19)));
  g1(33, 42)=  g1(33, 42)+(-exp(y(7)+y(19)));
  g1(33, 38)=  g1(33, 38)+1;
  g1(33, 43)=  g1(33, 43)+T1208;
  g1(34, 21)=  g1(34, 21)+(-(exp(y(21))*log(T324)));
  g1(34, 6)=  g1(34, 6)+T1038;
  g1(34, 6)=  g1(34, 6)+(-(exp(y(21))*(-(params(19)*exp(y(6))))/T324));
  g1(34, 22)=  g1(34, 22)+T1038;
  g1(34, 23)=  g1(34, 23)+(1+params(22))*params(18)*exp(y(23)+y(11)*(1+params(22)))/((1+params(22))*(1+params(22)));
  g1(34, 11)=  g1(34, 11)+(1+params(22))*params(18)*(1+params(22))*exp(y(23)+y(11)*(1+params(22)))/((1+params(22))*(1+params(22)));
  g1(34, 18)=  g1(34, 18)+1;
  g1(35, 18)=  g1(35, 18)+(-1);
  g1(35, 17)=  g1(35, 17)+1;
  g1(35, 17)=  g1(35, 17)+(-params(32));
  g1(36, 3)=  g1(36, 3)+T868;
  g1(36, 9)=  g1(36, 9)+(-T1397);
  g1(36, 20)=  g1(36, 20)+(-((-(exp(y(20))*exp(y(9))*exp(y(30))))/T1393));
  g1(36, 30)=  g1(36, 30)+(-T1397);
  g1(36, 3)=  g1(36, 3)+(-(exp(y(3))*exp(y(3))))/T859;
  g1(37, 1)=  g1(37, 1)+(-T823);
  g1(37, 2)=  g1(37, 2)+exp(y(2));
  g1(38, 21)=  g1(38, 21)+1;
  g1(38, 21)=  g1(38, 21)+(-.95);
  g1(39, 22)=  g1(39, 22)+1;
  g1(39, 22)=  g1(39, 22)+(-.95);
  g1(40, 23)=  g1(40, 23)+1;
  g1(40, 23)=  g1(40, 23)+(-.95);
  g1(41, 24)=  g1(41, 24)+1;
  g1(41, 24)=  g1(41, 24)+(-.95);
  g1(42, 26)=  g1(42, 26)+1;
  g1(42, 26)=  g1(42, 26)+(-.95);
  g1(43, 30)=  g1(43, 30)+1;
  g1(43, 30)=  g1(43, 30)+(-.95);
  g1(44, 25)=  g1(44, 25)+1;
  g1(44, 25)=  g1(44, 25)+(-.95);
  g1(45, 27)=  g1(45, 27)+1;
  g1(45, 27)=  g1(45, 27)+(-.95);
  g1(46, 28)=  g1(46, 28)+1;
  g1(46, 28)=  g1(46, 28)+(-.95);
  g1(47, 29)=  g1(47, 29)+1;
  g1(47, 29)=  g1(47, 29)+(-.95);
  g1(48, 31)=  g1(48, 31)+1;
  g1(48, 31)=  g1(48, 31)+(-.95);
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
