%plotting the responses to a monetary policy shock under different
%values of phitildes
load dornbkwd0 exch_bkwd0 
load dornbkwd1 exch_bkwd1
load dornbkwdpt5 exch_bkwdpt5
load dornbkwd1pt75 exch_bkwd1pt75
load dornbkwd1pt75rho exch_bkwd1pt75rho
tt=0:length(exch_bkwd0 )-1;
ij=1:8;
plot(tt(ij),exch_bkwd0(ij),tt(ij),exch_bkwdpt5(ij),'*-',tt(ij),exch_bkwd1(ij),tt(ij),exch_bkwd1pt75(ij),'*-',tt(ij),exch_bkwd1pt75rho(ij))
legend('\phi_{s} = 0','\phi_{s} = 0.5','\phi_{s} = 1.0','\phi_{s} = 1.75','\phi_{s} = 1.75, \rho_{R} = 0.8')
axis([0 tt(ij(end)) -0.1007 0])
title('Response of log exchange rate to monetary policy shock')