params

pitarget=1.005;
pistar=1.005;
ppi=1.005:.001:1.2;
for ii = 1:length(ppi)
    pitarget=ppi(ii);
    pistar=ppi(ii);
    bigphi=1;%this is the steady state of big phi.
    pibar=pitarget;
    pic=pibar;
    R=pibar*muz/beta;
    Rstar=R*pistar/pibar;
    Rx=nux*R+1-nux;
    s=R/Rstar;
    Rf=nu*R+1-nu;
    Rnustar=nustar*Rstar+1-nustar;
    px=Rx/vrphi;

    pitilded=pibar^kappad*pitarget^(1-kappad-vrkappad)*pibreve^vrkappad;

    mc=1/lambdad*(1-beta*xid*(pitilded/pibar)^(lambdad/(1-lambdad)))...
        /(1-beta*xid*(pitilded/pibar)^(1/(1-lambdad)))...
        *((1-xid*(pitilded/pibar)^(1/(1-lambdad)))/(1-xid))^(1-lambdad);

    phalo=((1-xid*(pitilded/pibar)^(1/(1-lambdad)))/(1-xid))^(1-lambdad)...
        /((1-xid*(pitilded/pibar)^(lambdad/(1-lambdad)))/(1-xid))^((1-lambdad)/lambdad);

    wbar=epsilon*mc/(taud*Rf);
    pmc=vrphi*Rnustar;
    pc=(1-omegac+omegac*(pmc^(1-etac)))^(1/(1-etac));

    q=vrphi/pc;

    num=((1-omegac)*Rx+omegac*(pmc^(1-etac)))*(pc^(etac-1)) ...
        *zetac*(muz-beta*b)*mc/(zetah*AL*(muz-b)*taud*Rf);

    den=(Rx*(1-etag)-(1-1/beta)*etaa)*(phalo^(lambdad/(lambdad-1)));

    H=(num/den)^(1/(1+sigmaL));

    psizplus=zetah*AL*(H^sigmaL)/wbar;

    c=(H^(-sigmaL))*((muz-beta*b)/(muz-b))*zetac*wbar/(pc*zetah*AL);

    ybar=(phalo^(lambdad/(lambdad-1)))*epsilon*H;

    abar=etaa*ybar;

    Kd=lambdad*psizplus*ybar*mc/(1-beta*xid*(pitilded/pibar)^(lambdad/(1-lambdad)));
    Fd=psizplus*ybar/(1-beta*xid*(pitilded/pibar)^(1/(1-lambdad)));

    ystar=(ybar-etag*ybar-(1-omegac)*(pc^etac)*c)*(px^etaf);

    err(1)=psizplus*ybar+((pitilded/pibar)^(1/(1-lambdad)))*beta*xid*Fd-Fd;
    err(2)=lambdad*psizplus*ybar*mc+beta*xid*((pitilded/pibar)^(lambdad/(1-lambdad)))*Kd-Kd;
    err(3)=((1-xid*((pitilded/pibar)^(1/(1-lambdad))))/(1-xid))^(1-lambdad) - Kd/Fd;
    err(4)=((1-xid)*((1-xid*(pitilded/pibar)^(1/(1-lambdad)))/(1-xid))^lambdad ...
        +xid*(pitilded*phalo/pibar)^(lambdad/(1-lambdad)))^((1-lambdad)/lambdad) ...
        -phalo;
    err(5)=pitilded-pibar^kappad*pitarget^(1-kappad-vrkappad)*pibreve^vrkappad;


    Util_SS=zetac*log(muz*c-b*c)-zetah*AL/(1+sigmaL)*H^(1+sigmaL);

    Welf_SS=Util_SS/(1-beta);

    if abs(imag(Welf_SS)) > .1e-5
        Welf_SS=NaN;
    end
    
    if ii == 1
        Wbench=Welf_SS;
    else
        conequiv(ii)=100*(1-exp((1-beta)*(Welf_SS-Wbench)));
    end

    ff(ii)=Welf_SS;

end
II=find(isnan(ff)~=1);
II=II(1:end-1);

plot(ppi(II).^4,conequiv(II))
title('Steady State Welfare, as a function of Inflation (APR), zero indexation')
axis tight