function [lpicU_SS,Welf_SS,Util_SS,lpmcU_SS,lpcU_SS,lqU_SS, ...
    lpxU_SS,lRU_SS, ...
    lcU_SS,lpsizplusU_SS,lpiU_SS,lsU_SS,aU_SS,lHU_SS,lwbarU_SS ...
    ,lphaloU_SS,lFdU_SS,lpitildedpiU_SS,lKdU_SS, ...
    lzetacU_SS,lmuzU_SS,lzetahU_SS,lRstarU_SS,lepsilonU_SS,lystarU_SS, ...
    lgU_SS,ltaudU_SS,lpitargetU_SS ...
    ,lpistarU_SS,lyU_SS,phitildeU_SS,lmarkupU_SS] = steadyss(beta,multiplier)

pitarget=1;
[errcheck,lpicU_SS,Welf_SS,Util_SS,lpmcU_SS,lpcU_SS,lqU_SS, ...
    lpxU_SS,lRU_SS, ...
    lcU_SS,lpsizplusU_SS,lpiU_SS,lsU_SS,aU_SS,lHU_SS,lwbarU_SS ...
    ,lphaloU_SS,lFdU_SS,lpitildedpiU_SS,lKdU_SS, ...
    lzetacU_SS,lmuzU_SS,lzetahU_SS,lRstarU_SS,lepsilonU_SS,lystarU_SS, ...
    lgU_SS,ltaudU_SS,lpitargetU_SS ...
    ,lpistarU_SS,lyU_SS,phitildeU_SS,lmarkupU_SS] ...
    = findss(pitarget,beta,multiplier);
if abs(errcheck) < .1e-10
    return
end

ppi=.95:.001:1.05;
for ii = 1:length(ppi);

    pitarget=ppi(ii);
    
    [errcheck,lpicU_SS,Welf_SS,Util_SS,lpmcU_SS,lpcU_SS,lqU_SS, ...
        lpxU_SS,lRU_SS, ...
        lcU_SS,lpsizplusU_SS,lpiU_SS,lsU_SS,aU_SS,lHU_SS,lwbarU_SS ...
        ,lphaloU_SS,lFdU_SS,lpitildedpiU_SS,lKdU_SS, ...
        lzetacU_SS,lmuzU_SS,lzetahU_SS,lRstarU_SS,lepsilonU_SS,lystarU_SS, ...
        lgU_SS,ltaudU_SS,lpitargetU_SS ...
        ,lpistarU_SS,lyU_SS,phitildeU_SS,lmarkupU_SS] ...
        = findss(pitarget,beta,multiplier);

    ff(ii)=errcheck;
    gg(ii)=Welf_SS;

end
[Y,I]=max(gg);
[Y,II]=min(ff);
plt=0;
if plt == 1
    plotyy(ppi,gg,ppi,ff)
end
pup=ppi(II+2);
pul=ppi(II-2);
if II+2 <= length(ppi)
    pup=ppi(II+2);
else
    error('fatal (steadyss) extend the grid higher');    
end
if II-2 >= 1
    pup=ppi(II+2);
else
    error('fatal (steadyss) extend the grid lower');    
end
pst1=.99*pup+.01*pul;
pst2=.99*pul+.01*pup;

options=optimset('TolX',.1e-14,'TolCon',.1e-16,'TolFun',.1e-14);
[xparam1,fval1,exitflag,output,lamdba,grad,hessian_fmincon] = fmincon(@findss,pst1,[],[],[],[],pul,pup,[],options,beta,multiplier);

[xparam2,fval2,exitflag,output,lamdba,grad,hessian_fmincon] = fmincon(@findss,pst2,[],[],[],[],pul,pup,[],options,beta,multiplier);

fval=fval1;
pitarget=xparam1;
if abs(fval2)<abs(fval1)
    fval=fval2;
    pitarget=xparam2;
end

if abs(fval) > .1e-7 | isnan(fval) == 1 | abs(imag(fval)) > .1e-10 | abs(imag(xparam1)) > .1e-10
    error('fatal (steadyss) failed to find steady state')
end

[errcheck,lpicU_SS,Welf_SS,Util_SS,lpmcU_SS,lpcU_SS,lqU_SS, ...
    lpxU_SS,lRU_SS, ...
    lcU_SS,lpsizplusU_SS,lpiU_SS,lsU_SS,aU_SS,lHU_SS,lwbarU_SS ...
    ,lphaloU_SS,lFdU_SS,lpitildedpiU_SS,lKdU_SS, ...
    lzetacU_SS,lmuzU_SS,lzetahU_SS,lRstarU_SS,lepsilonU_SS,lystarU_SS, ...
    lgU_SS,ltaudU_SS,lpitargetU_SS ...
    ,lpistarU_SS,lyU_SS,phitildeU_SS,lmarkupU_SS] ...
    = findss(pitarget,beta,multiplier);